> ## Documentation Index
> Fetch the complete documentation index at: https://docs.somya.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Profile



## OpenAPI

````yaml https://api.somya.ai/openapi.json get /v1/users/me
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/users/me:
    get:
      tags:
        - users
      summary: Get My Profile
      operationId: get_my_profile_v1_users_me_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserProfileResponse'
components:
  schemas:
    UserProfileResponse:
      properties:
        success:
          type: boolean
          title: Success
          default: true
        data:
          $ref: '#/components/schemas/UserProfileData'
      type: object
      required:
        - data
      title: UserProfileResponse
    UserProfileData:
      properties:
        user_id:
          type: string
          title: User Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        email:
          type: string
          title: Email
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
        role:
          type: string
          title: Role
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - user_id
        - name
        - email
        - username
        - role
        - created_at
      title: UserProfileData

````